Update Price
curl --request POST \
--url https://api.withflex.com/v1/prices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": {
"description": "Premium SPF 50 mineral sunscreen",
"active": false
}
}
'import requests
url = "https://api.withflex.com/v1/prices/{id}"
payload = { "price": {
"description": "Premium SPF 50 mineral sunscreen",
"active": False
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: {description: 'Premium SPF 50 mineral sunscreen', active: false}})
};
fetch('https://api.withflex.com/v1/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": {
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"trial_period_days": 0,
"unit_amount": 0,
"recurring": {},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Update Price
Updates the specified price by setting the values of the parameters passed. Any parameters not provided are left unchanged. Only description and active can be updated; the unit amount, currency, and recurring interval of a price are immutable. Setting active to false archives the price so it can no longer be used for new purchases.
POST
/
v1
/
prices
/
{id}
Update Price
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
application/json
An envelope wrapping a single price object.
An envelope wrapping a single price object.
The price object.
Show child attributes
Show child attributes
Example:
{
"description": "Premium SPF 50 mineral sunscreen",
"active": false
}
Response
An envelope wrapping a single price object.
An envelope wrapping a single price object.
The price object.
Show child attributes
Show child attributes
Example:
{
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"trial_period_days": 0,
"unit_amount": 0,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": { "order_id": "8842", "channel": "shopify" },
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
}
⌘I